/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#pragma once

#include "resource.h"
#include "Tl2/TLInputParam.h"

// CGLMeshTessDlg ダイアログ

class CGLMeshTessDlg : public CDialog
{
	DECLARE_DYNAMIC(CGLMeshTessDlg)

	//mgTLInputParam m_tlParam; // tesselation paramater

	double m_ctol;///<Maximum deviation allowed of the approximated polylines from
				///the original boundary curves.
	double m_deviat;//<Maximum deviation allowed of the approximated facet(triangles) from
				///the original surface.
	double m_maxlen;///<Maximum edge length of the facet(triangles) allowed.

public:
	CGLMeshTessDlg(CWnd* pParent = NULL);
	virtual ~CGLMeshTessDlg();

// ダイアログ データ
	enum { IDD = IDD_MESH_TESS };
	
	void GetTesselValue(mgTLInputParam& tp);
	void SetTesselValue(const mgTLInputParam& tp);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();

	afx_msg void OnBnClickedRemesh();
	DECLARE_MESSAGE_MAP()
};
